Subject: Re: bug#21415: 25.0.50; Emacs Trunk -- pixelwise width/height for x-create-frame

From: martin rudalics <[email-masked]>
Date: Thu, 22 Oct 2015 17:35:06 +0200

> I have never used GNUStep, maybe I should try it out so that my patch work
 > there. Are there build instructions for this somewhere?

Don't bother.  Hardly anyone but me regularly builds on GNUStep.  And I
can't use it anyway - too many other problems.

 > Anyway, I think the problem you are seeing is due to the fact that I have
 > replaced the code in "zoom" with custom code that simply resizes the frame.
 > On OS X there is nothing special happening when maximizing the frame -- the
 > outer frame (one pixel thick) is still there, no buttons should change
 > state etc.

I suppose so.  Maybe I find a way to splice in some code tailored for
GNUStep.  But it will have low priority.

 > One thing we should try is to check is the old zoom system would work
 > better in GNUStep after all (this is the first of the three different zoom
 > version in the code).
 >
 > Also, it would be interesting to see the NSTRACE output of a session where
 > we go "fullwidth" and then "maximized" and compare it with what happens
 > under OS X -- if it still is a problem after changing the zoom method.

I'll give you some feedback when I'm back there.  One problem with
NSTRACE I have is that it clutters output with ns_update_window_begin
and ns_defined_color entries.  I now started to comment them out one by
one.  Maybe you could devise a method to display these optionally only.

 > When it comes to the double tool bar, I have unfortunately no idea what the
 > problem is.

It's a bad interaction between GNUStep and the window manager.  Maybe I
can find out more.

Meanwhile please install your changes.

martin